\section{Conclusion and Future Work}\label{sec:conclusion}
We demonstrated the usage of \acp{vc} and \ac{ucon} to support dynamic and stateful identity management and continuous usage control in smart vehicles.
We specifically introduced a highly efficient implementation of the \ac{ucon} model designated as \ac{ucsp}.
We also introduced a centralised \ac{sts} that exchanges identity \acp{vc} with privilege \acp{vc} that determine what subjects are allowed to do inside the vehicle.
We also proposed an \ac{soa}-based architecture for a vehicular \ac{iam} that uses a centralised \ac{sts} for identity management and distributed \acp{ucsp} to protect resources.
\acs{siuv} addresses the problem of dynamic identity management as well as statefull access control in smart vehicles whose contexts change continuously.
The evaluation of the proposed system showed promising results and significant improvements over similar works.

Future directions should aim at providing anonymity or pseudonymity and maximizing privacy of the subject such that issuers or verifiers cannot identify the subject properties.
Particularly, we plan to investigate the addition of a negotiation protocol between the wallet and other components in order to regulate the disclosure of credentials and privileges.
In addition, we intend to explore selective disclosure and zero knowledge schemes as well as predicate proofs.
This allows to minimise identity information sharing while still being able to create a fully functional ecosystem of multi-party credential exchange and identity verification.
We also intend to use JSON-LD, to interpret and serialize linked data in JSON and be able to support signature sets, signature chaining etc.